Name: sugar-terminal
Version: 37
Release: 1%{?dist}
Summary: Terminal for Sugar
Group: Sugar/Activities
License: GPLv2+
URL: http://wiki.laptop.org/go/Terminal
Source0: http://download.sugarlabs.org/sources/sucrose/fructose/Terminal/Terminal-%{version}.tar.bz2

BuildRequires: python 
BuildRequires: sugar-toolkit
BuildRequires: gettext

Requires: sugar
Requires: vte

BuildArch: noarch

%description
The terminal activity provides a vte-based terminal for the Sugar interface.

%prep
%setup -q -n Terminal-%{version}

# remove bogus pseudo.po
rm -vf po/pseudo.po

%build
python ./setup.py build

%install
mkdir -p $RPM_BUILD_ROOT%{sugaractivitydir}
./setup.py install --prefix=$RPM_BUILD_ROOT/%{_prefix}

%find_lang org.laptop.Terminal

%files -f org.laptop.Terminal.lang
%defattr(-,root,root,-)
%doc NEWS README
%{sugaractivitydir}/Terminal.activity/

%changelog
* Sat May 19 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 37-1
- 37 release

* Mon Mar 26 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 36-1
- 36 release

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep 29 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 35-1
- 35 release

* Mon Sep  5 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 34-1
- New upstream 34 release

* Tue Jun  7 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 33-1
- New upstream 33 release

* Sat May 28 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 32-1
- New upstream 32 release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 31-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 31-4
- Bump build

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 31-3
- recompiling .py files against Python 2.7 (rhbz#623388)

* Fri Jan 22 2010 Sebastian Dziallas <sebastian@when.com> - 31-2
- Make sure to switch to correct location during setup

* Fri Jan 22 2010 Sebastian Dziallas <sebastian@when.com> - 31-1
- New upstream release

* Fri Sep 09 2009 Simon Schampijer <simon@schampijer.de> - 26-1
- New toolbar design

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 28 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> - 25-1
- New upstream release

* Tue Mar 03 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> - 23-1
- New upstream release

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 30 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org>
- New release

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 16-3
- Rebuild for Python 2.6

* Wed Sep  3 2008 Jeremy Katz <katzj@redhat.com> - 16-2
- temporarily BR gettext

* Tue Sep  2 2008 Jeremy Katz <katzj@redhat.com> - 16-1
- update to Terminal-16
- use %%find_lang which works with new bundlebuilder changes
- remove bogus pseudo.po translation

* Tue Jul 22 2008 Jeremy Katz <katzj@redhat.com> - 13-1
- Initial packaging
